@font-face {
  font-family: 'Roboto', sans-serif;
  src: url('./../assets/fonts/Roboto-Bold.ttf');
  font-weight: 700;
}
@font-face {
  font-family: 'Roboto', sans-serif;
  src: url('./../assets/fonts/Roboto-Regular.ttf');
  font-weight: 500;
}
@font-face {
  font-family: 'Roboto', sans-serif;
  src: url('./../assets/fonts/Roboto-Light.ttf');
  font-weight: 300;
}

.slider{
  width: 80%;
  height: auto;
  margin:auto;
  
}

body *, html * {
  box-sizing: border-box;
}
* {
  box-sizing: border-box;
}
.epic-slider {
  display: flex;
  flex-direction: row;
  width: 90%;
  aspect-ratio: 2;
}
.epic-slider .epic-slider-view {
  width: 80%;
  border-radius: 1.5rem;
  overflow: hidden;
  position: relative;
}
.epic-slider .epic-slider-view .slider-content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  opacity: 0;
  transition: all 250ms ease-in-out;
  transform: translate(-2rem, 0);
}
.epic-slider .epic-slider-view .slider-content.preview {
  z-index: 2;
  transform: translate(2rem, 0);
  opacity: 0;
}
.epic-slider .epic-slider-view .slider-content.active {
  transform: translate(0, 0);
  opacity: 1;
  z-index: 4;
}
.epic-slider .epic-slider-view .slider-content.active .info h3, .epic-slider .epic-slider-view .slider-content.active .info p, .epic-slider .epic-slider-view .slider-content.active .info button {
  opacity: 1;
  transform: translate(0, 0);
}
.epic-slider .epic-slider-view .slider-content .info {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  padding: 3rem;
  height: 100%;
  width: 60%;
  z-index: 2;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;
  background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0) 100%);
}
.epic-slider .epic-slider-view .slider-content .info h3 {
  color: white;
  font-size: 2rem;
  text-transform: uppercase;
  width: 70%;
  opacity: 0;
  transition: 350ms 150ms ease-in-out all;
  transform: translate(5rem, 0);
}
.epic-slider .epic-slider-view .slider-content .info p {
  color: #fff;
  font-size: 1.5rem;
  line-height: 1.5em;
  width: 70%;
  transition: 350ms 100ms ease-in-out all;
  transform: translate(4rem, 0);
}
.epic-slider .epic-slider-view .slider-content .info button {
  background-color: white;
  padding: 2rem;
  font-size: 1.5rem;
  width: auto;
  border-radius: 1.5rem;
  border: none;
  transition: 350ms 50ms ease-in-out all;
  transform: translate(3rem, 0);
}
.epic-slider .epic-slider-view .slider-content .background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}
.epic-slider .epic-slider-preview {
  width: 20%;
  height: 100%;
  margin: 0 0 0 1rem;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr 1fr;
}
.epic-slider .epic-slider-preview .preview-element {
  background-color: rgba(49, 42, 42, 0.05);
  width: 250px;
  border-radius: 1.5rem;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  cursor: pointer;
  border: none;
  transition: all 250ms ease-in-out;
  position: relative;
  overflow: hidden;
}
.epic-slider .epic-slider-preview .preview-element:hover {
  background-color: rgba(255, 255, 255, 0.1);
}

.epic-slider .epic-slider-preview .preview-element.active .img {
  animation: bounce 250ms ease-in-out forwards;
}
.epic-slider .epic-slider-preview .preview-element.active::after {
  animation: process 5.1s linear;
  opacity: 1;
}
.epic-slider .epic-slider-preview .preview-element::after {
  content: '';
  position: absolute;
  z-index: 1;
  background-color: rgba(255, 255, 255, 0.05);
  width: 0;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
  transition: 350ms opacity ease-in-out;
}
.epic-slider .epic-slider-preview .preview-element .img {
  pointer-events: none;
  height: 100%;
  aspect-ratio: 0.8;
  border-radius: 1.05rem;
  background-position: center center;
  background-size: contain;
  position: relative;
  z-index: 2;
}
.epic-slider .epic-slider-preview .preview-element p {
  pointer-events: none;
  margin: 0 0 0 1.5rem;
  padding: 0;
  font-weight: 700;
  text-align: left;
  line-height: 1.4em;
  color: #fff;
  font-size: 1.4rem;
  position: relative;
  z-index: 2;
}
@keyframes process {
  0% {
    width: 0;
 }
  100% {
    width: 100%;
 }
}
@keyframes bounce {
  0% {
    transform: scale(1);
 }
  50% {
    transform: scale(1.15);
 }
  100% {
    transform: scale(1);
 }
}
body {
	background: #ebebeb;
	font-family: "Open Sans", sans-serif;
}
.carousel {
	margin: 30px auto 60px;
	padding: 0 80px;
}
.carousel .carousel-item {
	text-align: center;
	overflow: hidden;
}
.carousel .carousel-item h4 {
	font-family: 'Varela Round', sans-serif;
}
.carousel .carousel-item img {
	max-width: 100%;
	display: inline-block;
}
.carousel .carousel-item .btn {
	border-radius: 0;
	font-size: 12px;
	text-transform: uppercase;
	font-weight: bold;
	border: none;
	background: #a177ff;
	padding: 6px 15px;
	margin-top: 5px;
}
.carousel .carousel-item .btn:hover {
	background: #8c5bff;
}
.carousel .carousel-item .btn i {
	font-size: 14px;
	font-weight: bold;
	margin-left: 5px;
}
.carousel .thumb-wrapper {
	margin: 5px;
	text-align: left;
	background: #fff;
	box-shadow: 0px 2px 2px rgba(0,0,0,0.1);   
}
.carousel .thumb-content {
	padding: 15px;
	font-size: 13px;
}
.carousel-control-prev, .carousel-control-next {
	height: 44px;
	width: 44px;
	background: none;	
	margin: auto 0;
	border-radius: 50%;
	border: 3px solid rgba(0, 0, 0, 0.8);
}
.carousel-control-prev i, .carousel-control-next i {
	font-size: 36px;
	position: absolute;
	top: 50%;
	display: inline-block;
	margin: -19px 0 0 0;
	z-index: 5;
	left: 0;
	right: 0;
	color: rgba(0, 0, 0, 0.8);
	text-shadow: none;
	font-weight: bold;
}
.carousel-control-prev i {
	margin-left: -3px;
}
.carousel-control-next i {
	margin-right: -3px;
}
.carousel-indicators {
	bottom: -50px;
}
.carousel-indicators li, .carousel-indicators li.active {
	width: 10px;
	height: 10px;
	border-radius: 50%;
	margin: 4px;
	border: none;
}
.carousel-indicators li {	
	background: #ababab;
}
.carousel-indicators li.active {	
	background: #555;
}

/* product-slider */

body {
	background: #101014;
	font-family: "Open Sans", sans-serif;
  color: white;
}
.carousel {
	margin: 30px auto 60px;
	padding: 0 80px;
}
.carousel .carousel-item {
	text-align: center;
	overflow: hidden;
}
.carousel .carousel-item h4 {
	font-family: 'Varela Round', sans-serif;
}
.carousel .carousel-item img {
	max-width: 100%;
	display: inline-block;
}
.carousel .carousel-item .btn {
	border-radius: 0;
	font-size: 12px;
	text-transform: uppercase;
	font-weight: bold;
	border: none;
	background: #a177ff;
	padding: 6px 15px;
	margin-top: 5px;
}
.carousel .carousel-item .btn:hover {
	background: #8c5bff;
}
.carousel .carousel-item .btn i {
	font-size: 14px;
	font-weight: bold;
	margin-left: 5px;
}
.carousel .thumb-wrapper {
	margin: 5px;
	text-align: left;
	background: #101014;
	box-shadow: 0px 2px 2px rgba(0,0,0,0.1);   
}
.carousel .thumb-content {
	padding: 15px;
	font-size: 13px;
}
.carousel-control-prev, .carousel-control-next {
	height: 44px;
	width: 44px;
	background: none;	
	margin: auto 0;
	border-radius: 50%;
	border: 3px solid rgba(0, 0, 0, 0.8);
}
.carousel-control-prev i, .carousel-control-next i {
	font-size: 36px;
	position: absolute;
	top: 50%;
	display: inline-block;
	margin: -19px 0 0 0;
	z-index: 5;
	left: 0;
	right: 0;
	color: white;
	text-shadow: none;
	font-weight: bold;
}
.carousel-control-prev i {
	margin-left: -3px;
}
.carousel-control-next i {
	margin-right: -3px;
}
.carousel-indicators {
	bottom: -50px;
}
.carousel-indicators li, .carousel-indicators li.active {
	width: 10px;
	height: 10px;
	border-radius: 50%;
	margin: 4px;
	border: none;
}
.carousel-indicators li {	
	background: #ababab;
}
.carousel-indicators li.active {	
	background: #555;
}

/* the grid */
.grid{
  margin-left: 1%;
.product-grid{
  font-family: 'Poppins', sans-serif;
  text-align: center;
}
.product-grid .product-image{
  overflow: hidden;
  position: relative;
}
.product-grid .product-image a.image{ display: block; }
.product-grid .product-image img{
  width: 100%;
  height: auto;
  transition: all 0.5s ease 0s;
}
.product-grid:hover .product-image img{ transform: scale(1.1); }
.product-grid .product-links{
  width: 150px;
  padding: 10px 20px;
  margin: 0;
  border-radius: 30px;
  box-shadow: 5px 0 30px #3e17ebf9;
  opacity: 0;
  transform: translateX(-50%) translateY(-150%);
  position: absolute;
  top: 50%;
  left: 50%;
  transition: all .35s ease;
}
.product-grid:hover .product-links{
  opacity: 1;
  transform: translateX(-50%) translateY(-50%);
}
.product-grid .product-links li{
  width: 48%;
  margin: 10px 0;
  display: inline-block;
}
.product-grid .product-links li a{
  color: #4210db;
  font-size: 18px;
  transition: all .3s;
}
.product-grid .product-links li a:hover{
  color: #341f97;
  text-shadow: 4px 4px 0 rgba(0,0,0,0.2);
}
.product-grid .product-content{ padding: 15px; }
.product-grid .price{
  color: #333;
  font-size: 15px;
  font-weight: 500;
  margin: 0 0 10px;
}
.product-grid .price span{
  color: #999;
  font-weight: 400;
  margin: 0 0 0 5px;
  text-decoration: line-through;
}
.product-grid .title{
  font-size: 15px;
  font-weight: 500;
  text-transform: capitalize;
  margin: 0 0 12px;
}
.product-grid .title a{
  color: #333;
  transition: all 0.3s ease 0s;
}
.product-grid .title a:hover{
  color: #341f97;
  text-decoration: underline;
}

.product-grid .rating li.far{ color: #999; }
@media screen and (max-width: 990px){
  .product-grid{ margin-bottom: 30px; }
}
}

/* scond-navbar */

.scond-navbar{
  * {box-sizing: border-box;}



.topnav {
  position: sticky;
  overflow: hidden;
  background-color: #101014;
  width: 90%;
  margin-left: 10%;
}

.topnav a {
  float: left;
  display: block;
  color: black;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
  color: white;

}
#img{
  float: right;
}


.topnav a:hover {
  background-color: #3c48f7;
}

.topnav a.active {
  color: #aeaaaa;
}

.topnav .search-container {
  float: left;
  margin-left: px;
}

.topnav input[type=text] {
  padding: 6px;
  margin-top: 8px;
  font-size: 17px;
  border: none;
  border-radius: 30px;
  background-color: #555;
}

.topnav .search-container button {
  float: right;
  padding: 6px 10px;
  margin-top: 8px;
  margin-right: 16px;
  font-size: 17px;
  border: none;
  cursor: pointer;
  background-color: #101014;
  color: #555;
}


@media screen and (max-width: 600px) {
  .topnav .search-container {
    float: none;
  }
  .topnav a, .topnav input[type=text], .topnav .search-container button {
    float: none;
    display: block;
    text-align: right;
    width: 100%;
    margin: 0;
    padding: 14px;
  }
  .topnav input[type=text] {
    border: 1px solid #ccc;  
  }
}
}